# AnnotationFieldDeclaration class abstract

Represents a field of an annotation.

This interface provides access to:

- The field's name
- The field's type
- The value of the field

### Example

    final annotation = ...;
    final fields = annotation.getFields();
    print(fields.map((f) => f.getName())); // ["value"]

Inheritance
  - Object
  - Declaration
  - EntityDeclaration
  - AnnotationFieldDeclaration

## Constructors

AnnotationFieldDeclaration.new()
  Represents a field of an annotation.
  const

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

getDartType() → DartType?
  The analyzer DartType of the entity for enhanced type operations.
  inherited
getDebugIdentifier() → String
  The debug identifier for the entity.
  inherited
getDefaultValue() → dynamic
  Returns the default value of the field.
getElement() → Element?
  The analyzer element associated with this declaration.
  inherited
getIsPublic() → bool
  Checks if this declaration is a public declaration.
  inherited
getIsSynthetic() → bool
  Checks if a declaration is a synthetic declaration.
  inherited
getLinkDeclaration() → LinkDeclaration
  Returns the type of the field.
getName() → String
  Gets the name of the declared element.
  inherited
getPosition() → int
  Returns the position of the field in the source code.
getType() → Type
  Gets the runtime type of the declared element.
  inherited
getUserProvidedValue() → dynamic
  Returns the user provided value of the field.
getValue() → dynamic
  Returns the value of the field.
hasAnalyzerSupport() → bool
  Returns true if this declaration has analyzer information available.
  inherited
hasDefaultValue() → bool
  Returns true if the field has a default value.
hasUserProvidedValue() → bool
  Returns true if the field has a user provided value.
isConst() → bool
  Returns true if the field is const.
isFinal() → bool
  Returns true if the field is final.
isNullable() → bool
  Returns true if the field is nullable.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, Object>
  Returns a JSON representation of this entity.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited